
include components/structure-page/main.pug

include components/blocks/dflt-bttn/dflt-bttn.pug
include components/blocks/dflt-chckbx/dflt-chckbx.pug
include components/blocks/course-card/course-card.pug
include components/blocks/contacts/contacts.pug
include components/blocks/breadcrumbs/breadcrumbs.pug

include components/blocks/feedback-box/feedback-box.pug
include components/blocks/raiting/raiting.pug
include components/image/star.pug
include components/blocks/overlay/overlay-comment.pug
include components/blocks/overlay/overlay-feedback.pug

mixin content-grid-scroll({title, ind = 1})
    .content-grid__title= title
    .content-grid__list(data-scroll-dflt="")
        each key, index in ['City Business School', 'Contented', 'Convert Monster', "QMARKETING ACADEMY", "SF Education", 'XYZ School', 'Контур школа', 'Хекслет', 'City busines school', 'City busines school', 'City busines school', 'City busines school', 'City busines school', 'City busines school', 'City busines school']
            +dflt-chckbx({className: 'content-grid__list-element', text: key, index: `cg-${ind}-${index}`})

+main-structure-top()

+breadcrumbs({links: ["Главная", "SkillFactory", "Отзывы SkillFactory"]})

section.feedback-head.mt-tp-6
    .container
        .d-f.jc-sb.ai-c
            h1.ttl-tp-1 Отзывы SkillFactory
            +dflt-bttn({ className: 'feedback-head__ui-button', size: 2, text: 'сайт школы'})
        .feedback-head__content
            p Школа является частью образовательной экосистемы Mail.ru Group. Обучают цифровым профессиям с нуля учеников любого возраста и без технического опыта, специализируются на программировании, разработке, аналитике данных.
            +dflt-bttn({ className: 'feedback-head__ui-button-mobile', size: 2, text: 'сайт школы'})
            .feedback-head__content-rating.d-f.mt-tp-17
                .feedback-head__content-rating--leftCol.d-f.f-sh 
                    .feedback-head__logo-wrapper
                        .feedback-head__logo
                            img(src="images/icons/skillFuctory.svg", alt="" )  
                        .d-f
                            a(href="" class="hvr-lnk tx-small")  Промокоды
                            a(href="" class="hvr-lnk tx-small")  Все курсы
                    .feedback-head__content-rating--star.d-f.f-sh 
                        +rating({classBig: true})
                .feedback-head__content-rating--sliders.d-f.ai-c
                    .feedback-head__content-rating--sliders-col.flex-column
                        each key in [["Стоимость", 4.5], ["Подача материала", 4.5]]
                            .feedback-head__content-rating--slide
                                .feedback-head__content-rating--slider-top.d-f.jc-sb
                                    p(class="tx-small")=key[0]
                                    p(class="tx-small")=key[1]
                                .feedback-head__content-rating--slider
                                    .feedback-head__content-rating--slider-filled.range(data-range =`90`)
                    .feedback-head__content-rating--sliders-col.flex-column
                        each key in [["Программа обучения", 4.9], ["Уровень организации", 4.5]]
                            .feedback-head__content-rating--slide
                                .feedback-head__content-rating--slider-top.d-f.jc-sb
                                    p(class="tx-small")=key[0]
                                    p(class="tx-small")=key[1]
                                .feedback-head__content-rating--slider
                                    .feedback-head__content-rating--slider-filled.range(data-range =`90`)

.container
    section.feedback-pros.d-f.jc-sb.ai-fs
        .feedback-pros__content
            h3.ttl-tp-2 Плюсы и минусы SkillFactory
            .d-f.ai-c.feedback-pros__content-row
                include components/image/pros.pug
                span.title-semibold.color-green Плюсы
            p Опытные преподаватели. Много практики. Гибкая систем оплаты.
            .d-f.ai-c.feedback-pros__content-row
                include components/image/minus.pug
                span.title-semibold.color-pink Минусы
            p Большие группы. Могут пропустить вопрос.
        .feedback-pros__rating.d-f.f-sh
            each key, index in [[120, 90], [10, 8],[1, 1],[0, 0],[1, 1]]
                .feedback-pros__rating-row.mt-tp-12.d-f.jc-sb
                    .d-f
                        +image-star({ size: 20, color: '#FFAA05'})
                        p.tx-small 
                            span.tx-small=5 - index 
                            | (
                            =key[1]
                            | )
                    .d-f.feedback-pros__rating-row-slider.d-f.ai-c
                        .feedback-pros__rating-slider
                            .feedback-pros__rating-slider--filled.range(data-range =`90`)
                        p.tx-small=key[1] 
                            | %

.container
    section.feedback-student
        h3.ttl-tp-2 Отзывы выпускников о курсах SkillFactory
        .feedback-student__tags.grid.mt-tp-12.d-f
            a.tx-small.feedback-student__tag-active.feedback-student__tag.ai-c(href="#") Все
            each key in ["Маркетинг", "Аналитика", "Разработка", "Дизайн", "Менеджмент", "Программирование", "Детям"]
                a.tx-small.feedback-student__tag.ai-c(href="#")= key
        .feedback-student__sort.d-f.ai-c
            p сортировать
            .feedback-student__sort-select.top-courses__head.d-f.ai-c.jc-sb
                .top-courses__head-select.select-input(data-select-input="")
                    button.select-input__button.d-f.ai-c(data-evnt-slct-bttn="")
                        span.select-input__button-text(data-evnt-slct-bttn-txt="") Сначала новые
                        img.select-input__button-icon.icon-size(src="images/icons/arrow-down-black.svg", alt="" loading="lazy")
                    .select-input__modal 
                        each key, index in ["Сначала новые", "Популярные", "Положительные", "Отрицательные"]
                            button.select-input__modal-element(
                                data-select-input-element= index + 1
                                class = index == 0 ? 'active' : null
                            )= key
            a.feedback-student__sort-item.feedback-student__sort-active.ai-c(href="#") Сначала новые
            each key in ["Популярные", "Положительные", "Отрицательные"]
                a.feedback-student__sort-item.ai-c(href="#")= key
        +feedbackBox()
        +feedbackBox()
        +feedbackBox()
        a(href="" class="link-blue feedback-box__link") Показать еще
        +dflt-bttn({ className: 'feedback__ui-button', size: 2, text: 'ОСТАВИТЬ ОТЗЫВ',  dataShowModal: 'overlay__feedback'})

.container
    section.feedback-discount
        p промокод 
            span на скидку 
        span.feedback-discount--from от Skillfactory
        +dflt-bttn({ className: 'feedback-discount__ui-button', size: 1, text: 'Получить'})
        img.feedback-discount--image-bg(src=`images/content/discount-bg.svg`, alt="" loading="lazy")
        img.feedback-discount--image-bg-mobile(src=`images/content/discount-bg-mobile.svg`, alt="" loading="lazy")
        img.feedback-discount--image(src=`images/content/discount.svg`, alt="" loading="lazy")

.container
    section.feedback-school
        h3.ttl-tp-2 Отзывы о других школах
        .feedback-school--row.d-f
            - for(let i = 0; i < 3; i++)
                .feedback-school--col
                    .feedback-school--wrap
                        a(href="" class="feedback-school__top d-f jc-sb ai-c") 
                            img(src=`images/content/top-shools-2-big.svg`, alt="" loading="lazy" class="feedback-school--image")
                            .d-f.feedback-school__rating
                                +rating({})
                        .feedback-school__content
                            h4.title-semibold.hvr-lnk Онлайн-школа Skillbox
                            p Одна из самых масштабных онлайн-школ, большой выбор образовательных программ. Преподаватели школы — профессионалы в своей области. Заинтересованы в получении актуальных знаний и трудоустройстве выпускников.
                        .feedback-school__bottom.d-f.jc-sb   
                            a(href="" class="tx-small link-blue") 456 отзывов
                            a(href="" class="tx-small link-blue") Промокод                       
        a(href="" class="link-blue feedback-school__link") Показать еще     

+contacts({mt: 'mt-tp-4'})

+main-structure-bottom()
+modalComment()
+modalFeedback()
